{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a new status update on an object.\nReturns the full record of the newly created status update.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["author","author.name","created_at","created_by","created_by.name","hearted","hearts","hearts.user","hearts.user.name","html_text","liked","likes","likes.user","likes.user.name","modified_at","num_hearts","num_likes","parent","parent.name","parent.resource_subtype","reaction_summary","reaction_summary.count","reaction_summary.emoji_base","reaction_summary.reacted","reaction_summary.variant","resource_subtype","status_type","text","title"]},"examples":[["author","author.name","created_at","created_by","created_by.name","hearted","hearts","hearts.user","hearts.user.name","html_text","liked","likes","likes.user","likes.user.name","modified_at","num_hearts","num_likes","parent","parent.name","parent.resource_subtype","reaction_summary","reaction_summary.count","reaction_summary.emoji_base","reaction_summary.reacted","reaction_summary.variant","resource_subtype","status_type","text","title"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/StatusUpdateRequest"}}}},"required":["body"],"additionalProperties":false,"definitions":{"StatusUpdateRequest":{"allOf":[{"$ref":"#/definitions/StatusUpdateBase"},{"type":"object","required":["parent"],"properties":{"parent":{"type":"string","description":"The id of parent to send this status update to. This can be a project, goal or portfolio."}}}]},"StatusUpdateBase":{"allOf":[{"$ref":"#/definitions/StatusUpdateCompact"},{"type":"object","required":["text","status_type"],"properties":{"text":{"description":"The text content of the status update.","type":"string","examples":["The project is moving forward according to plan..."]},"html_text":{"description":"[Opt In](/docs/inputoutput-options). The text content of the status update with formatting as HTML. See [rich text](/docs/rich-text).","type":"string","examples":["<body>The project <strong>is</strong> moving forward according to plan...</body>"]},"status_type":{"description":"The type associated with the status update. This represents the current state of the object this object is on.\n\nThe valid values for `status_type` depend on the parent of the status update:\n- Projects: `on_track`, `at_risk`, `off_track`, `on_hold`, `complete`, `dropped`.\n- Portfolios: `on_track`, `at_risk`, `off_track`, `on_hold`, `complete`, `dropped`.\n- Goals: `on_track`, `at_risk`, `off_track`, `achieved`, `partial`, `missed`, `dropped`.","type":"string","enum":["on_track","at_risk","off_track","on_hold","complete","achieved","partial","missed","dropped"]}}}]},"StatusUpdateCompact":{"description":"A *status update* is an update on the progress of a particular project, portfolio, or goal, and is sent out to all of its parent's followers when created. These updates include both text describing the update and a `status_type` intended to represent the overall state of the object.","type":"object","properties":{"title":{"description":"The title of the status update.","type":"string","examples":["Status Update - Jun 15"]}}}}},"name":"Create a status update","id":"asana.createstatusforobject","example":{"body":{}},"maxRequests":1,"summary":false}}